/////////////////////////////////////////////////////////////////////////////////////////
//
// Please refer to "COPYRIGHT.md" for the relevant copyright statement of this software.
//
/////////////////////////////////////////////////////////////////////////////////////////
//
#pragma once

#include "gcui_port.h"

GCUI_PORT void InitGcUiDLL();

GCUI_PORT HINSTANCE GcUiAppResourceInstance();
GCUI_PORT HINSTANCE GcUiAppBrandingResourceInstance();
GCUI_PORT LPCTSTR GcUiContextHelpFileName();
#ifndef kDialogOptionUseTipsForContextHelp
#  define kDialogOptionUseTipsForContextHelp 2
#endif

inline unsigned int GcUiEnableToolTips()
{
  return kDialogOptionUseTipsForContextHelp;
}
GCUI_PORT bool GcUiFindContextHelpFullPath(LPCTSTR fileName, CString& fullPath);
GCUI_PORT bool GcUiIsInputPending();
GCUI_PORT CWnd* GcUiMainWindow();
GCUI_PORT void GcUiRootKey(CString& rootKey);

typedef CGdUiRegistryAccess CGcUiRegistryAccess;
typedef CGdUiRegistryDeleteAccess CGcUiRegistryDeleteAccess;
typedef CGdUiRegistryWriteAccess CGcUiRegistryWriteAccess;

#ifdef _GSOFT_WINDOWS_

#  include "gcuiButton.h"
#  include "gcuiDialogWorksheet.h"
#  include "gcuiDialog.h"
#  include "gcuiTabCtrl.h"

typedef CGcUiTabChildDialog CGcUiTabExtension;

#  include "gced.h"

#  include "gcuidock.h"
#  include "gcuiEdit.h"
#  include "gcuiHeaderCtrl.h"
#  include "gcuiListBox.h"
#  include "gcuiListCtrl.h"
#  include "gcuiComboBox.h"
#  include "gcuiPathname.h"
#  include "gcuiNavDialog.h"
#endif
